%define anolis_release 2

%global tls_priority "@LIBVIRT,SYSTEM"

Summary: A GTK widget for VNC clients
Name: gtk-vnc
Version: 1.3.1
Release: %{anolis_release}%{?dist}
License: LGPLv2+
Source: https://download.gnome.org/sources/%{name}/1.3/%{name}-%{version}.tar.xz
URL: https://gitlab.gnome.org/GNOME/gtk-vnc
Requires: gvnc = %{version}-%{release}
BuildRequires: meson >= 0.49.0
BuildRequires: /usr/bin/g-ir-scanner
BuildRequires: /usr/bin/msgfmt
BuildRequires: /usr/bin/pod2man
BuildRequires: pkgconfig(cairo) >= 1.15.0
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.36.0
BuildRequires: pkgconfig(gio-2.0) >= 2.56.0
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.56.0
BuildRequires: pkgconfig(gnutls) >= 3.6.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.56.0
BuildRequires: pkgconfig(gthread-2.0) >= 2.56.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.22.0
BuildRequires: pkgconfig(libgcrypt) >= 1.8.0
BuildRequires: pkgconfig(libpulse-simple) >= 11.0
BuildRequires: pkgconfig(libsasl2) >= 2.1.27
BuildRequires: pkgconfig(x11) >= 1.6.5
BuildRequires: pkgconfig(zlib) >= 1.2.11
BuildRequires: vala

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

%package doc
Summary:        Documentation files for %{name}
Requires:       gvnc = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package -n gvnc
Summary: A GObject for VNC connections

%description -n gvnc
gvnc is a GObject for managing a VNC connection. It provides all the
infrastructure required to build a VNC client without having to deal
with the raw protocol itself.

%package -n gvnc-devel
Summary: Libraries, includes, etc. to compile with the gvnc library
Requires: gvnc = %{version}-%{release}

%description -n gvnc-devel
gvnc is a GObject for managing a VNC connection. It provides all the
infrastructure required to build a VNC client without having to deal
with the raw protocol itself.

Libraries, includes, etc. to compile with the gvnc library

%package -n gvncpulse
Summary: A Pulse Audio bridge for VNC connections
Requires: gvnc = %{version}-%{release}

%description -n gvncpulse
gvncpulse is a bridge to the Pulse Audio system for VNC.
It allows VNC clients to play back audio on the local
system

%package -n gvncpulse-devel
Summary: Libraries, includes, etc. to compile with the gvncpulse library
Requires: gvncpulse = %{version}-%{release}

%description -n gvncpulse-devel
gvncpulse is a bridge to the Pulse Audio system for VNC.
It allows VNC clients to play back audio on the local
system

Libraries, includes, etc. to compile with the gvnc library

%package -n gvnc-tools
Summary: Command line VNC tools
Requires: gvnc = %{version}-%{release}

%description -n gvnc-tools
Provides useful command line utilities for interacting with
VNC servers. Includes the gvnccapture program for capturing
screenshots of a VNC desktop

%package -n gtk-vnc2
Summary: A GTK3 widget for VNC clients
Requires: gvnc = %{version}-%{release}
Obsoletes: gtk-vnc < 1.0.0

%description -n gtk-vnc2
gtk-vnc is a VNC viewer widget for GTK3. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

%package -n gtk-vnc2-devel
Summary: Development files to build GTK3 applications with gtk-vnc
Requires: gtk-vnc2 = %{version}-%{release}

%description -n gtk-vnc2-devel
gtk-vnc is a VNC viewer widget for GTK3. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

Libraries, includes, etc. to compile with the gtk-vnc library

%prep
%autosetup -n gtk-vnc-%{version}

%build
%meson
%meson_build
chmod -x examples/*.pl examples/*.js examples/*.py

%install
%meson_install

%find_lang %{name}

%generate_compatibility_deps

%check
%meson_test

%files -n gvnc -f %{name}.lang
%dir %{abidir}
%license COPYING.LIB
%{_libdir}/libgvnc-1.0.so.*
%{abidir}/libgvnc-1.0.dump
%{_libdir}/girepository-1.0/GVnc-1.0.typelib

%files -n gvnc-devel
%{_libdir}/libgvnc-1.0.so
%{_includedir}/gvnc-1.0
%{_libdir}/pkgconfig/gvnc-1.0.pc
%{_datadir}/gir-1.0/GVnc-1.0.gir
%{_datadir}/vala/vapi/gvnc-1.0.deps
%{_datadir}/vala/vapi/gvnc-1.0.vapi

%files -n gvncpulse -f %{name}.lang
%dir %{abidir}
%license COPYING.LIB
%{_libdir}/libgvncpulse-1.0.so.*
%{abidir}/libgvncpulse-1.0.dump
%{_libdir}/girepository-1.0/GVncPulse-1.0.typelib

%files -n gvncpulse-devel
%{_libdir}/libgvncpulse-1.0.so
%{_includedir}/gvncpulse-1.0
%{_libdir}/pkgconfig/gvncpulse-1.0.pc
%{_datadir}/gir-1.0/GVncPulse-1.0.gir
%{_datadir}/vala/vapi/gvncpulse-1.0.deps
%{_datadir}/vala/vapi/gvncpulse-1.0.vapi

%files -n gvnc-tools
%{_bindir}/gvnccapture
%{abidir}/gvnccapture-option.list
%{_mandir}/man1/gvnccapture.1*

%files doc
%doc AUTHORS NEWS README

%files -n gtk-vnc2
%dir %{abidir}
%{_libdir}/libgtk-vnc-2.0.so.*
%{abidir}/libgtk-vnc-2.0.dump
%{_libdir}/girepository-1.0/GtkVnc-2.0.typelib

%files -n gtk-vnc2-devel
%doc examples/gvncviewer.c
%doc examples/gvncviewer.js
%doc examples/gvncviewer.pl
%doc examples/gvncviewer.py
%{_libdir}/libgtk-vnc-2.0.so
%{_includedir}/%{name}-2.0
%{_libdir}/pkgconfig/%{name}-2.0.pc
%{_datadir}/gir-1.0/GtkVnc-2.0.gir
%{_datadir}/vala/vapi/gtk-vnc-2.0.deps
%{_datadir}/vala/vapi/gtk-vnc-2.0.vapi

%changelog
* Wed Dec 28 2023 Chang Gao <gc-taifu@linux.alibaba.com> - 1.3.1-2
- Correct the source url

* Fri Mar 31 2023 Funda Wang <fundawang@yeah.net> - 1.3.1-1
- Import package for anolis 23
